Inhalte

# Funktion String

Erstellt eine Zeichenfolge aus dem angegebenen Zeichen oder dem ersten Zeichen einer Zeichenfolge, die der Funktion übergeben wird.

### Syntax:

    String (Zahl As Long, {Ausdruck As Integer | Zeichen As String}) As String

### Rückgabetyp:

String

### Parameter:

Zahl: Numerischer Ausdruck, der die Anzahl der Zeichen angibt, die in der Zeichenfolge zurückgegeben werden sollen. Der maximal zulässige Wert von n beträgt 2.147.483.648.

Ausdruck: Numerischer Ausdruck, der den ASCII-Code für das Zeichen definiert.

Zeichen: Beliebiges einzelnes Zeichen, das zum Erstellen der Rückgabezeichenfolge verwendet wird, oder beliebige Zeichenfolge, von der nur das erste Zeichen verwendet wird.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleString
    Dim sText As String
        sText = String(10,"A")
        MsgBox sText
        sText = String(10,65)
        MsgBox sText
    End Sub